Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 204402 - Suggestion: place new packages and/or glsa information on the frontpage
Summary: Suggestion: place new packages and/or glsa information on the frontpage
Status: RESOLVED FIXED
Alias: None
Product: Websites
Classification: Unclassified
Component: [OLD] News (show other bugs)
Hardware: All Linux
: High enhancement with 3 votes (vote)
Assignee: Xavier Neys (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 141909
Blocks: 252157
  Show dependency tree
 
Reported: 2008-01-05 05:48 UTC by Aniruddha
Modified: 2009-01-31 09:17 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
20090130-website-changes.xml (20090130-website-changes.xml,703 bytes, text/plain)
2009-01-30 04:22 UTC, Donnie Berkholz (RETIRED)
Details
20090130-website-changes.xml (20090130-website-changes.xml,771 bytes, text/plain)
2009-01-30 04:25 UTC, Donnie Berkholz (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aniruddha 2008-01-05 05:48:03 UTC
Currently imo the website gives the impression of an inactive project. We could 'fix' this by placing news such as glsa's and or package lnformation on the frontpage. This will show to the outside world how active Gentoo really is :)

Reproducible: Always
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-01-15 06:59:10 UTC
There is new news committed to the front now, and this is a website issue, I don't think it's infra.
Comment 2 nm (RETIRED) gentoo-dev 2008-01-15 07:03:05 UTC
(In reply to comment #1)

This bug should be reassigned to www@g.o then . . . assuming there's anyone still on that team.

So you know, I do have commit access to the front page, so I can manually update stuff when needed. I'm not sure how I'd set up automated feeds from our other sites, though.
Comment 3 Xavier Neys (RETIRED) gentoo-dev 2008-01-17 22:05:43 UTC
docs-team write docs, i.e. stuff under /doc :)
The fact that I handle xsl/dtd issues does not make them docs-team issues


This bug depends on having a proper glsa-index.xml BTW

Listing packages seemed like a nice idea too, but they'd have hidden the recent 3 news items as there are almost always more recent packages that appear at the top of list. I'll see how it looks with the latest packages all put together in a single news item.
Comment 4 Xavier Neys (RETIRED) gentoo-dev 2008-01-20 16:20:20 UTC
Forgot to reassign.
Comment 5 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2008-01-21 01:52:19 UTC
I'm working on something like this.
Comment 6 Xavier Neys (RETIRED) gentoo-dev 2008-01-21 17:52:18 UTC
(In reply to comment #5)
> I'm working on something like this.

Good, since the xsl already exists, maybe you could focus on editing a static html page and get it approved instead of banging your head against XSL someone else might find trivial to write :)

GLSA, done, putting each in a newsitem looks OK to me.
Latest packages, done, does not look good imo, I'll see how it looks in a single newsitem.
Comment 7 Xavier Neys (RETIRED) gentoo-dev 2008-01-21 21:43:10 UTC
(In reply to comment #6)
> Latest packages, done, does not look good imo, I'll see how it looks in a
> single newsitem.

Looks better imho
Comment 8 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2008-01-22 01:12:01 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > I'm working on something like this.
> 
> Good, since the xsl already exists, maybe you could focus on editing a static
> html page and get it approved instead of banging your head against XSL someone
> else might find trivial to write :)

static html? ew :P

XSL point taken however ;)

> 
> GLSA, done, putting each in a newsitem looks OK to me.
> Latest packages, done, does not look good imo, I'll see how it looks in a
> single newsitem.
> 

Comment 9 Xavier Neys (RETIRED) gentoo-dev 2008-01-26 10:47:54 UTC
Try http://www.gentoo.org/rdf/en/gentoo-news-test.rdf
Comment 10 Xavier Neys (RETIRED) gentoo-dev 2008-01-26 10:49:41 UTC
Wrong bug, sorry.
Comment 11 Xavier Neys (RETIRED) gentoo-dev 2008-01-26 10:55:26 UTC
Could infra please make feeds from planet/packages available under /dyn ?

Here's what runs on my box:

# Download new packages from packages.g.o

curl -s http://packages.gentoo.org/feed/newpackage >tmp.newpackages
xmllint --noout tmp.newpackages
if [ $? -eq 0 ]; then
  diff tmp.newpackages $W/dyn/new-packages.xml  2>/dev/null 1>&2
  if [ $? -ne 0 ]; then
    mv tmp.newpackages $W/dyn/new-packages.xml
  fi
fi

# Download feed from planet.g.o

curl -s http://planet.gentoo.org/rss20.xml >tmp.planet
xmllint --noout tmp.planet
if [ $? -eq 0 ]; then
  diff tmp.planet $W/dyn/planet.xml  2>/dev/null 1>&2
  if [ $? -ne 0 ]; then
    mv tmp.planet $W/dyn/planet.xml
  fi
fi
###########################
Logic is the same as on bug #131476
copy to temp file,
if temp file is both valid and different than current, mv file under /dyn

Thanks.
Comment 12 Xavier Neys (RETIRED) gentoo-dev 2008-02-05 18:22:48 UTC
Have a look at http://www.gentoo.org/index2.xml

FYI, it uses remote files, i.e. the html is not cached, i.e. the whole shebang is transformed on every hit. It makes it not only terribly slow, but also sensitive to outages.
Remote files come from planet.g.o packages.g.o and my own box, if any of them is down, the home page (index2.xml, not the real one) is dead.
Comment 13 Daniel Drake (RETIRED) gentoo-dev 2008-06-02 11:11:38 UTC
(In reply to comment #11)
> Could infra please make feeds from planet/packages available under /dyn ?

I like the new look. Maybe I can help on the planet side here? I assume you mean the RSS feed. 

I don't know what or where /dyn is though. How would the feed get transported there? There is no /dyn on the planet host (warbler)
Comment 14 Xavier Neys (RETIRED) gentoo-dev 2008-06-02 16:26:28 UTC
(In reply to comment #13)
> (In reply to comment #11)
> > Could infra please make feeds from planet/packages available under /dyn ?
> 
> I like the new look. Maybe I can help on the planet side here? I assume you
> mean the RSS feed. 
> 
> I don't know what or where /dyn is though. How would the feed get transported
> there? There is no /dyn on the planet host (warbler)

/dyn is www.gentoo.org where a couple of other dynamically generated files go, i.e. they are not committed into CVS, e.g. the devaway.xml that is copied from dev.g.o, see bug #131476 Opened: 2006-04-27 09:24

planet.g.o already provides a feed, no need to change anything there.
The feeds gets transported to www.g.o by the script posted above, once implemented.
Comment 15 Aniruddha 2008-06-02 16:40:22 UTC
(In reply to comment #12)
> Have a look at http://www.gentoo.org/index2.xml
> 

This looks great! Any chance it gets implemented?
Comment 16 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-07-12 20:45:41 UTC
InCVS.

/var/cvsroot/gentoo-infra/cfengine/files/home/gweb/scripts/master/new-packages.sh,v  <--  new-packages.sh
initial revision: 1.1
/var/cvsroot/gentoo-infra/cfengine/files/home/gweb/scripts/master/planet.sh,v  <--  planet.sh
initial revision: 1.1
/var/cvsroot/gentoo-infra/cfengine/files/home/gweb/scripts/master/update-master.sh,v  <--  update-master.sh
new revision: 1.8; previous revision: 1.7

Should be live on the web in the next hour.
Comment 17 Aniruddha 2008-07-13 07:45:51 UTC
Is it me or has the implementation been delayed?
Comment 18 Xavier Neys (RETIRED) gentoo-dev 2009-01-15 11:42:09 UTC
CC'ed PR.
Newsitem should be committed at the same time.

Cheers.
Comment 19 Donnie Berkholz (RETIRED) gentoo-dev 2009-01-19 08:11:05 UTC
Thank for the ping, Xavier. Got some work-related deadlines going on, I'm trying to get to this. If you feel like tossing together a draft of the changes, I'd be happy to look it over.
Comment 20 Xavier Neys (RETIRED) gentoo-dev 2009-01-26 17:10:33 UTC
As you must have already noticed, your favourite website now displays more information. Due to popular demand, the latest blog posts from planet.gentoo.org, packages from packages.gentoo.org and security announcements are summed up on Gentoo's home page.
Comment 21 Donnie Berkholz (RETIRED) gentoo-dev 2009-01-30 04:22:20 UTC
Created attachment 180209 [details]
20090130-website-changes.xml

Xavier,

Great timing! I was just spending a little time on PR things tonight. Here is an XML file almost ready to go. The only thing missing is a link to the forums thread -- I generally file that first since news items have deterministic links, then commit the news item. Here's an example: http://forums.gentoo.org/viewtopic-t-719732.html
Comment 22 Donnie Berkholz (RETIRED) gentoo-dev 2009-01-30 04:25:04 UTC
Created attachment 180211 [details]
20090130-website-changes.xml

Woops, those <uri> bits apparently need a link attrib to do the right thing.
Comment 23 Xavier Neys (RETIRED) gentoo-dev 2009-01-31 08:44:55 UTC
Feeds are now syndicated on front page. Thanks for reporting.
Comment 24 Aniruddha 2009-01-31 09:17:06 UTC
The website looks great :)